# -*- coding: utf-8 -*-
"""
@author: yq
@time: 2024/11/1
@desc: 指标配置
"""


class MetricConfigEntity():
    def __init__(self, metric_code: str, metric_func: str, *args, **kwargs):
        self._args = args
        self._kwargs = kwargs
        # metric_code 用于填充模板时查找
        self._metric_code = metric_code
        # metric_func 用于查找对应的指标计算函数
        self._metric_func = metric_func

    @property
    def args(self):
        return self._args

    @property
    def kwargs(self):
        return self._kwargs

    @property
    def metric_code(self):
        return self._metric_code

    @property
    def metric_func(self):
        return self._metric_func


if __name__ == "__main__":
    pass
